// UserValueDlg.cpp : implementation file
//

#include "stdafx.h"
#include "imagegrinder.h"
#include "UserValueDlg.h"
#include "ImageGrinderView.h"


/////////////////////////////////////////////////////////////////////////////
// CUserValueDlg dialog


CUserValueDlg::CUserValueDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUserValueDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUserValueDlg)
	//}}AFX_DATA_INIT
	IVal=NULL;
}


void CUserValueDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUserValueDlg)
	DDX_Control(pDX, IDC_USERVAL, m_ValSli);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUserValueDlg, CDialog)
	//{{AFX_MSG_MAP(CUserValueDlg)
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUserValueDlg message handlers

void CUserValueDlg::OnOK() 
{
	CDialog::OnOK();
}

void CUserValueDlg::OnCancel() 
{
//	CDialog::OnCancel();
}

void CUserValueDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	if(IVal)
		*IVal=m_ValSli.GetPos();

	Owner->OwnerView->UpdateHF();
	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}

int CUserValueDlg::DoModal(CHFPreview *wnd,int *ipt) 
{
	IVal=ipt;
	Owner=wnd;
	return CDialog::DoModal();
}

BOOL CUserValueDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ValSli.SetRange(0,255);
if(IVal)
	m_ValSli.SetPos(*IVal);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

